﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 音楽を表すためのクラスです。
    /// </summary>
    class Bgm
    {
        /// <summary>
        /// フラグ。
        /// </summary>
        public int flag;

        /// <summary>
        /// 再生ハンドル。
        /// </summary>
        public int handle;

        /// <summary>
        /// 再生種類番号(いつ鳴らすか)。
        /// </summary>
        public int[] knd = new int[2];

        /// <summary>
        /// ループ位置。
        /// </summary>
        public int[] loop_pos = new int[2];

        /// <summary>
        /// 初期化します。
        /// </summary>
        public void initialize()
        {
            this.flag = 0;
            this.handle = 0;
            for(int i = 0; i < this.knd.Length; i++)
                this.knd[i] = 0;
            for(int i = 0; i < this.loop_pos.Length; i++)
                this.loop_pos[i] = 0;
        }
    }
}
