﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// メッセージを表すクラスです。
    /// </summary>
    class Message
    {
        /// <summary>
        /// 出現ポイント。
        /// </summary>
        public int appear_count;

        /// <summary>
        /// メッセージ最大数。
        /// </summary>
        public int max_num;

        /// <summary>
        /// 現在表示しているメッセージ番号。
        /// </summary>
        public int num;

        /// <summary>
        /// メッセージ詳細。
        /// </summary>
        public MessageDetail[] message_detail = new MessageDetail[Setting.MESSAGE_DETAIL_MAX];

        /// <summary>
        /// コンストラクタ。
        /// </summary>
        public Message()
        {
            for (int i = 0; i < this.message_detail.Length; i++)
                this.message_detail[i] = new MessageDetail();
        }
    }
}
